
Foreman - Bug #11778

Logger makes application fail on other RAILS_ENVs

09/10/2015 06:40 PM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee:    

Category: Logging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If RAILS_ENV is set to anything that is not configured on logger.yaml, rails fails to load with a message:

`deep_merge!': undefined method `each_pair' for nil:NilClass (NoMethodError)

        from /home/daniel/.rbenv/versions/2.1.5/lib/ruby/gems/2.1.0/gems/activesupport-3.2.21/lib/

active_support/core_ext/hash/deep_merge.rb:10:in `deep_merge'

        from /home/daniel/workspace/cleanforeman/lib/foreman/logging.rb:78:in `load_config'

        from /home/daniel/workspace/cleanforeman/lib/foreman/logging.rb:17:in `configure'

 The message should be clearer or we should use the default on environments not defined in logger.yaml.

History

#1 - 09/10/2015 07:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2703 added

- Pull request deleted ()

#2 - 07/14/2016 03:05 AM - Dominic Cleal

- Category set to Logging

- Status changed from Ready For Testing to New

- Assignee deleted (Daniel Lobato Garcia)

- Pull request deleted (https://github.com/theforeman/foreman/pull/2703)
